<?php
// This file was auto-generated from sdk-root/src/data/clouddirectory/2016-05-10/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>Amazon Cloud Directory</fullname> <p>Amazon Cloud Directory is a component of the AWS Directory Service that simplifies the development and management of cloud-scale web, mobile and IoT applications. This guide describes the Cloud Directory operations that you can call programatically and includes detailed information on data types and errors. For information about AWS Directory Services features, see <a href="https://aws.amazon.com/directoryservice/">AWS Directory Service</a> and the <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/what_is.html">AWS Directory Service Administration Guide</a>.</p>', 'operations' => [ 'AddFacetToObject' => '<p>Adds a new <a>Facet</a> to an object.</p>', 'ApplySchema' => '<p>Copies input published schema into <a>Directory</a> with same name and version as that of published schema .</p>', 'AttachObject' => '<p>Attaches an existing object to another object. An object can be accessed in two ways:</p> <ol> <li> <p>Using the path</p> </li> <li> <p>Using ObjectIdentifier</p> </li> </ol>', 'AttachPolicy' => '<p>Attaches a policy object to a regular object. An object can have a limited number of attached policies.</p>', 'AttachToIndex' => '<p>Attaches the specified object to the specified index.</p>', 'BatchRead' => '<p>Performs all the read operations in a batch. </p>', 'BatchWrite' => '<p>Performs all the write operations in a batch. Either all the operations succeed or none. Batch writes supports only object-related operations.</p>', 'CreateDirectory' => '<p>Creates a <a>Directory</a> by copying the published schema into the directory. A directory cannot be created without a schema.</p>', 'CreateFacet' => '<p>Creates a new <a>Facet</a> in a schema. Facet creation is allowed only in development or applied schemas.</p>', 'CreateIndex' => '<p>Creates an index object. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_indexing.html">Indexing</a> for more information.</p>', 'CreateObject' => '<p>Creates an object in a <a>Directory</a>. Additionally attaches the object to a parent, if a parent reference and LinkName is specified. An object is simply a collection of <a>Facet</a> attributes. You can also use this API call to create a policy object, if the facet from which you create the object is a policy facet. </p>', 'CreateSchema' => '<p>Creates a new schema in a development state. A schema can exist in three phases:</p> <ul> <li> <p> <i>Development:</i> This is a mutable phase of the schema. All new schemas are in the development phase. Once the schema is finalized, it can be published.</p> </li> <li> <p> <i>Published:</i> Published schemas are immutable and have a version associated with them.</p> </li> <li> <p> <i>Applied:</i> Applied schemas are mutable in a way that allows you to add new schema facets. You can also add new, nonrequired attributes to existing schema facets. You can apply only published schemas to directories. </p> </li> </ul>', 'DeleteDirectory' => '<p>Deletes a directory. Only disabled directories can be deleted. A deleted directory cannot be undone. Exercise extreme caution when deleting directories.</p>', 'DeleteFacet' => '<p>Deletes a given <a>Facet</a>. All attributes and <a>Rule</a>s associated with the facet will be deleted. Only development schema facets are allowed deletion.</p>', 'DeleteObject' => '<p>Deletes an object and its associated attributes. Only objects with no children and no parents can be deleted.</p>', 'DeleteSchema' => '<p>Deletes a given schema. Schemas in a development and published state can only be deleted. </p>', 'DetachFromIndex' => '<p>Detaches the specified object from the specified index.</p>', 'DetachObject' => '<p>Detaches a given object from the parent object. The object that is to be detached from the parent is specified by the link name.</p>', 'DetachPolicy' => '<p>Detaches a policy from an object.</p>', 'DisableDirectory' => '<p>Disables the specified directory. Disabled directories cannot be read or written to. Only enabled directories can be disabled. Disabled directories may be reenabled.</p>', 'EnableDirectory' => '<p>Enables the specified directory. Only disabled directories can be enabled. Once enabled, the directory can then be read and written to.</p>', 'GetDirectory' => '<p>Retrieves metadata about a directory.</p>', 'GetFacet' => '<p>Gets details of the <a>Facet</a>, such as Facet Name, Attributes, <a>Rule</a>s, or ObjectType. You can call this on all kinds of schema facets -- published, development, or applied.</p>', 'GetObjectInformation' => '<p>Retrieves metadata about an object.</p>', 'GetSchemaAsJson' => '<p>Retrieves a JSON representation of the schema. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_schemas.html#jsonformat">JSON Schema Format</a> for more information.</p>', 'ListAppliedSchemaArns' => '<p>Lists schemas applied to a directory.</p>', 'ListAttachedIndices' => '<p>Lists indices attached to an object.</p>', 'ListDevelopmentSchemaArns' => '<p>Retrieves the ARNs of schemas in the development state.</p>', 'ListDirectories' => '<p>Lists directories created within an account.</p>', 'ListFacetAttributes' => '<p>Retrieves attributes attached to the facet.</p>', 'ListFacetNames' => '<p>Retrieves the names of facets that exist in a schema.</p>', 'ListIndex' => '<p>Lists objects attached to the specified index.</p>', 'ListObjectAttributes' => '<p>Lists all attributes associated with an object. </p>', 'ListObjectChildren' => '<p>Returns a paginated list of child objects associated with a given object.</p>', 'ListObjectParents' => '<p>Lists parent objects associated with a given object in pagination fashion.</p>', 'ListObjectPolicies' => '<p>Returns policies attached to an object in pagination fashion.</p>', 'ListPolicyAttachments' => '<p>Returns all of the ObjectIdentifiers to which a given policy is attached.</p>', 'ListPublishedSchemaArns' => '<p>Retrieves published schema ARNs.</p>', 'ListTagsForResource' => '<p>Returns tags for a resource. Tagging is currently supported only for directories with a limit of 50 tags per directory. All 50 tags are returned for a given directory with this API call.</p>', 'LookupPolicy' => '<p>Lists all policies from the root of the <a>Directory</a> to the object specified. If there are no policies present, an empty list is returned. If policies are present, and if some objects don\'t have the policies attached, it returns the objectIdentifier for such objects. If policies are present, it returns objectIdentifier, policyId, and policyType. Paths that don\'t lead to the root from the target object are ignored.</p>', 'PublishSchema' => '<p>Publishes a development schema with a version. If description and attributes are specified, PublishSchema overrides the development schema description and attributes. If not, the development schema description and attributes are used.</p>', 'PutSchemaFromJson' => '<p>Allows a schema to be updated using JSON upload. Only available for development schemas. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_schemas.html#jsonformat">JSON Schema Format</a> for more information.</p>', 'RemoveFacetFromObject' => '<p>Removes the specified facet from the specified object.</p>', 'TagResource' => '<p>API for adding tags to a resource.</p>', 'UntagResource' => '<p>API for removing tags from a resource.</p>', 'UpdateFacet' => '<p>Does the following:</p> <ol> <li> <p>Adds new Attributes, Rules, or ObjectTypes.</p> </li> <li> <p>Updates existing Attributes, Rules, or ObjectTypes.</p> </li> <li> <p>Deletes existing Attributes, Rules, or ObjectTypes.</p> </li> </ol>', 'UpdateObjectAttributes' => '<p>Updates a given object\'s attributes.</p>', 'UpdateSchema' => '<p>Updates the schema name with a new name. Only development schema names can be updated.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>Access denied. Check your permissions.</p>', 'refs' => [], ], 'AddFacetToObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'AddFacetToObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'ApplySchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'ApplySchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'AddFacetToObjectRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'ApplySchemaRequest$PublishedSchemaArn' => '<p>Published schema ARN that needs to be copied. For more information, see <a>arns</a>.</p>', 'ApplySchemaRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> into which the schema is copied. For more information, see <a>arns</a>.</p>', 'ApplySchemaResponse$AppliedSchemaArn' => '<p>Applied schema ARN associated with the copied schema in the <a>Directory</a>. You can use this ARN to describe the schema information applied on this directory. For more information, see <a>arns</a>.</p>', 'ApplySchemaResponse$DirectoryArn' => '<p>ARN associated with the <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'Arns$member' => NULL, 'AttachObjectRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where both objects reside. For more information, see <a>arns</a>.</p>', 'AttachPolicyRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where both objects reside. For more information, see <a>arns</a>.</p>', 'AttachToIndexRequest$DirectoryArn' => '<p>The ARN of the directory where the object and index exist.</p>', 'AttributeKey$SchemaArn' => '<p>The ARN of the schema that contains the facet and attribute.</p>', 'BatchReadRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'BatchWriteRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'CreateDirectoryRequest$SchemaArn' => '<p>ARN of the published schema that will be copied into the data <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'CreateDirectoryResponse$AppliedSchemaArn' => '<p>ARN of the published schema in the <a>Directory</a>. Once a published schema is copied into the directory, it has its own ARN which is referred to applied schema ARN. For more information, see <a>arns</a>.</p>', 'CreateFacetRequest$SchemaArn' => '<p>Schema ARN in which the new <a>Facet</a> will be created. For more information, see <a>arns</a>.</p>', 'CreateIndexRequest$DirectoryArn' => '<p>The ARN of the directory where the index should be created.</p>', 'CreateObjectRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> in which the object will be created. For more information, see <a>arns</a>.</p>', 'CreateSchemaResponse$SchemaArn' => '<p>ARN associated with the schema. For more information, see <a>arns</a>.</p>', 'DeleteDirectoryRequest$DirectoryArn' => '<p>The ARN of the directory to delete.</p>', 'DeleteDirectoryResponse$DirectoryArn' => '<p>The ARN of the deleted directory.</p>', 'DeleteFacetRequest$SchemaArn' => '<p>ARN associated with the <a>Facet</a>. For more information, see <a>arns</a>.</p>', 'DeleteObjectRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'DeleteSchemaRequest$SchemaArn' => '<p>ARN of the development schema. For more information, see <a>arns</a>.</p>', 'DeleteSchemaResponse$SchemaArn' => '<p>Input ARN that is returned as part of the response. For more information, see <a>arns</a>.</p>', 'DetachFromIndexRequest$DirectoryArn' => '<p>The ARN of the directory the index and object exist in.</p>', 'DetachObjectRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where objects reside. For more information, see <a>arns</a>.</p>', 'DetachPolicyRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where both objects reside. For more information, see <a>arns</a>.</p>', 'DisableDirectoryRequest$DirectoryArn' => '<p>The ARN of the directory to disable.</p>', 'DisableDirectoryResponse$DirectoryArn' => '<p>The ARN of the directory that has been disabled.</p>', 'EnableDirectoryRequest$DirectoryArn' => '<p>The ARN of the directory to enable.</p>', 'EnableDirectoryResponse$DirectoryArn' => '<p>The ARN of the enabled directory.</p>', 'GetFacetRequest$SchemaArn' => '<p>ARN associated with the <a>Facet</a>. For more information, see <a>arns</a>.</p>', 'GetObjectInformationRequest$DirectoryArn' => '<p>The ARN of the directory being retrieved.</p>', 'GetSchemaAsJsonRequest$SchemaArn' => '<p>The ARN of the schema to retrieve.</p>', 'ListAppliedSchemaArnsRequest$DirectoryArn' => '<p>The ARN of the directory you are listing.</p>', 'ListAttachedIndicesRequest$DirectoryArn' => '<p>The ARN of the directory.</p>', 'ListFacetAttributesRequest$SchemaArn' => '<p>The ARN of the schema where the facet resides.</p>', 'ListFacetNamesRequest$SchemaArn' => '<p>The ARN to retrieve facet names from.</p>', 'ListIndexRequest$DirectoryArn' => '<p>The ARN of the directory that the index exists in.</p>', 'ListObjectAttributesRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'ListObjectChildrenRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'ListObjectParentsRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'ListObjectPoliciesRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where objects reside. For more information, see <a>arns</a>.</p>', 'ListPolicyAttachmentsRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where objects reside. For more information, see <a>arns</a>.</p>', 'ListTagsForResourceRequest$ResourceArn' => '<p>ARN of the resource. Tagging is only supported for directories.</p>', 'LookupPolicyRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'PublishSchemaRequest$DevelopmentSchemaArn' => '<p>ARN associated with the development schema. For more information, see <a>arns</a>.</p>', 'PublishSchemaResponse$PublishedSchemaArn' => '<p>ARN associated with the published schema. For more information, see <a>arns</a>.</p>', 'PutSchemaFromJsonRequest$SchemaArn' => '<p>The ARN of the schema to update.</p>', 'PutSchemaFromJsonResponse$Arn' => '<p>The ARN of the schema to update.</p>', 'RemoveFacetFromObjectRequest$DirectoryArn' => '<p>The ARN of the directory in which the object resides.</p>', 'SchemaFacet$SchemaArn' => '<p>The ARN of the schema that contains the facet.</p>', 'TagResourceRequest$ResourceArn' => '<p>ARN of the resource. Tagging is only supported for directories.</p>', 'UntagResourceRequest$ResourceArn' => '<p>ARN of the resource. Tagging is only supported for directories.</p>', 'UpdateFacetRequest$SchemaArn' => '<p>ARN associated with the <a>Facet</a>. For more information, see <a>arns</a>.</p>', 'UpdateObjectAttributesRequest$DirectoryArn' => '<p>ARN associated with the <a>Directory</a> where the object resides. For more information, see <a>arns</a>.</p>', 'UpdateSchemaRequest$SchemaArn' => '<p>ARN of the development schema. For more information, see <a>arns</a>.</p>', 'UpdateSchemaResponse$SchemaArn' => '<p>ARN associated with the updated schema. For more information, see <a>arns</a>.</p>', ], ], 'Arns' => [ 'base' => NULL, 'refs' => [ 'ListAppliedSchemaArnsResponse$SchemaArns' => '<p>The ARNs of schemas that are applied to the directory.</p>', 'ListDevelopmentSchemaArnsResponse$SchemaArns' => '<p>The ARNs of retrieved development schemas.</p>', 'ListPublishedSchemaArnsResponse$SchemaArns' => '<p>The ARNs of published schemas.</p>', ], ], 'AttachObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'AttachPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'AttachToIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'AttachToIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'AttributeKey' => [ 'base' => '<p>A unique identifier for an attribute.</p>', 'refs' => [ 'AttributeKeyAndValue$Key' => '<p>The key of the attribute.</p>', 'AttributeKeyList$member' => NULL, 'ObjectAttributeRange$AttributeKey' => '<p>The key of the attribute the attribute range covers.</p>', 'ObjectAttributeUpdate$ObjectAttributeKey' => '<p>The key of the attribute being updated.</p>', ], ], 'AttributeKeyAndValue' => [ 'base' => '<p>The combination of an attribute key and an attribute value.</p>', 'refs' => [ 'AttributeKeyAndValueList$member' => NULL, ], ], 'AttributeKeyAndValueList' => [ 'base' => NULL, 'refs' => [ 'AddFacetToObjectRequest$ObjectAttributeList' => '<p>Attributes on the facet you are adding to the object.</p>', 'BatchAddFacetToObject$ObjectAttributeList' => '<p>The attributes to set on the object.</p>', 'BatchCreateObject$ObjectAttributeList' => '<p>Attribute map, which contains an attribute ARN as the key and attribute value as the map value.</p>', 'BatchListObjectAttributesResponse$Attributes' => '<p>Attributes map associated with the object. AttributeArn is the key; attribute value is the value.</p>', 'CreateObjectRequest$ObjectAttributeList' => '<p>Attribute map whose attribute ARN contains the key and attribute value as the map value.</p>', 'IndexAttachment$IndexedAttributes' => '<p>The indexed attribute values.</p>', 'ListObjectAttributesResponse$Attributes' => '<p>Attributes map associated with the object. AttributeArn is the key, and attribute value is the value.</p>', ], ], 'AttributeKeyList' => [ 'base' => NULL, 'refs' => [ 'CreateIndexRequest$OrderedIndexedAttributeList' => '<p>Specifies the Attributes that should be indexed on. Currently only a single attribute is supported.</p>', ], ], 'AttributeName' => [ 'base' => NULL, 'refs' => [ 'AttributeKey$Name' => '<p>The name of the attribute.</p>', 'FacetAttribute$Name' => '<p>The name of the facet attribute.</p>', 'FacetAttributeReference$TargetAttributeName' => '<p>Target attribute name associated with the facet reference. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#attributereferences">Attribute References</a> for more information.</p>', ], ], 'BatchAddFacetToObject' => [ 'base' => '<p>Represents the output of a batch add facet to object operation.</p>', 'refs' => [ 'BatchWriteOperation$AddFacetToObject' => '<p>Batch operation adding a facet to an object.</p>', ], ], 'BatchAddFacetToObjectResponse' => [ 'base' => '<p>The result of a batch add facet to object operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$AddFacetToObject' => '<p>Result of an add facet to object batch operation.</p>', ], ], 'BatchAttachObject' => [ 'base' => '<p>Represents the output of an AttachObject operation.</p>', 'refs' => [ 'BatchWriteOperation$AttachObject' => '<p>Attaches an object to a <a>Directory</a>.</p>', ], ], 'BatchAttachObjectResponse' => [ 'base' => '<p>Represents the output batch AttachObject response operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$AttachObject' => '<p>Attaches an object to a <a>Directory</a>.</p>', ], ], 'BatchCreateObject' => [ 'base' => '<p>Represents the output of a CreateObject operation.</p>', 'refs' => [ 'BatchWriteOperation$CreateObject' => '<p>Creates an object.</p>', ], ], 'BatchCreateObjectResponse' => [ 'base' => '<p>Represents the output of a CreateObject response operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$CreateObject' => '<p>Creates an object in a <a>Directory</a>.</p>', ], ], 'BatchDeleteObject' => [ 'base' => '<p>Represents the output of a DeleteObject operation.</p>', 'refs' => [ 'BatchWriteOperation$DeleteObject' => '<p>Deletes an object in a <a>Directory</a>.</p>', ], ], 'BatchDeleteObjectResponse' => [ 'base' => '<p>Represents the output of a DeleteObject response operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$DeleteObject' => '<p>Deletes an object in a <a>Directory</a>.</p>', ], ], 'BatchDetachObject' => [ 'base' => '<p>Represents the output of a DetachObject operation.</p>', 'refs' => [ 'BatchWriteOperation$DetachObject' => '<p>Detaches an object from a <a>Directory</a>.</p>', ], ], 'BatchDetachObjectResponse' => [ 'base' => '<p>Represents the output of a DetachObject response operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$DetachObject' => '<p>Detaches an object from a <a>Directory</a>.</p>', ], ], 'BatchListObjectAttributes' => [ 'base' => '<p>Represents the output of a ListObjectAttributes operation.</p>', 'refs' => [ 'BatchReadOperation$ListObjectAttributes' => '<p>Lists all attributes associated with an object.</p>', ], ], 'BatchListObjectAttributesResponse' => [ 'base' => '<p>Represents the output of a ListObjectAttributes response operation.</p>', 'refs' => [ 'BatchReadSuccessfulResponse$ListObjectAttributes' => '<p>Lists all attributes associated with an object.</p>', ], ], 'BatchListObjectChildren' => [ 'base' => '<p>Represents the output of a ListObjectChildren operation.</p>', 'refs' => [ 'BatchReadOperation$ListObjectChildren' => '<p>Returns a paginated list of child objects that are associated with a given object.</p>', ], ], 'BatchListObjectChildrenResponse' => [ 'base' => '<p>Represents the output of a ListObjectChildren response operation.</p>', 'refs' => [ 'BatchReadSuccessfulResponse$ListObjectChildren' => '<p>Returns a paginated list of child objects associated with a given object.</p>', ], ], 'BatchOperationIndex' => [ 'base' => NULL, 'refs' => [ 'BatchWriteException$Index' => NULL, ], ], 'BatchReadException' => [ 'base' => '<p>Batch Read Exception structure, which contains exception type and message.</p>', 'refs' => [ 'BatchReadOperationResponse$ExceptionResponse' => '<p>Identifies which operation in a batch has failed.</p>', ], ], 'BatchReadExceptionType' => [ 'base' => NULL, 'refs' => [ 'BatchReadException$Type' => '<p>Type of exception, such as InvalidArnException.</p>', ], ], 'BatchReadOperation' => [ 'base' => '<p>Represents the output of a BatchRead operation.</p>', 'refs' => [ 'BatchReadOperationList$member' => NULL, ], ], 'BatchReadOperationList' => [ 'base' => NULL, 'refs' => [ 'BatchReadRequest$Operations' => '<p>List of operations that are part of the batch.</p>', ], ], 'BatchReadOperationResponse' => [ 'base' => '<p>Represents the output of a BatchRead response operation.</p>', 'refs' => [ 'BatchReadOperationResponseList$member' => NULL, ], ], 'BatchReadOperationResponseList' => [ 'base' => NULL, 'refs' => [ 'BatchReadResponse$Responses' => '<p>List of all the responses for each batch read.</p>', ], ], 'BatchReadRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchReadResponse' => [ 'base' => NULL, 'refs' => [], ], 'BatchReadSuccessfulResponse' => [ 'base' => '<p>Represents the output of a BatchRead success response operation.</p>', 'refs' => [ 'BatchReadOperationResponse$SuccessfulResponse' => '<p>Identifies which operation in a batch has succeeded.</p>', ], ], 'BatchReferenceName' => [ 'base' => NULL, 'refs' => [ 'BatchCreateObject$BatchReferenceName' => '<p>The batch reference name. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#batches">Batches</a> for more information.</p>', 'BatchDetachObject$BatchReferenceName' => '<p>The batch reference name. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#batches">Batches</a> for more information.</p>', ], ], 'BatchRemoveFacetFromObject' => [ 'base' => '<p>Batch operation to remove a facet from an object.</p>', 'refs' => [ 'BatchWriteOperation$RemoveFacetFromObject' => '<p>Batch operation removing a facet from an object.</p>', ], ], 'BatchRemoveFacetFromObjectResponse' => [ 'base' => '<p>Empty result representing success.</p>', 'refs' => [ 'BatchWriteOperationResponse$RemoveFacetFromObject' => '<p>Result of a batch remove facet from object operation.</p>', ], ], 'BatchUpdateObjectAttributes' => [ 'base' => '<p>Represents the output of a BatchUpdate operation. </p>', 'refs' => [ 'BatchWriteOperation$UpdateObjectAttributes' => '<p>Update a given object\'s attributes.</p>', ], ], 'BatchUpdateObjectAttributesResponse' => [ 'base' => '<p>Represents the output of a BatchUpdate response operation.</p>', 'refs' => [ 'BatchWriteOperationResponse$UpdateObjectAttributes' => '<p>Updates a given object’s attributes.</p>', ], ], 'BatchWriteException' => [ 'base' => '<p>A BatchWrite exception has occurred.</p>', 'refs' => [], ], 'BatchWriteExceptionType' => [ 'base' => NULL, 'refs' => [ 'BatchWriteException$Type' => NULL, ], ], 'BatchWriteOperation' => [ 'base' => '<p>Represents the output of a BatchWrite operation. </p>', 'refs' => [ 'BatchWriteOperationList$member' => NULL, ], ], 'BatchWriteOperationList' => [ 'base' => NULL, 'refs' => [ 'BatchWriteRequest$Operations' => '<p>List of operations that are part of the batch.</p>', ], ], 'BatchWriteOperationResponse' => [ 'base' => '<p>Represents the output of a BatchWrite response operation.</p>', 'refs' => [ 'BatchWriteOperationResponseList$member' => NULL, ], ], 'BatchWriteOperationResponseList' => [ 'base' => NULL, 'refs' => [ 'BatchWriteResponse$Responses' => '<p>List of all the responses for each batch write.</p>', ], ], 'BatchWriteRequest' => [ 'base' => NULL, 'refs' => [], ], 'BatchWriteResponse' => [ 'base' => NULL, 'refs' => [], ], 'BinaryAttributeValue' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValue$BinaryValue' => '<p>A binary data value.</p>', ], ], 'Bool' => [ 'base' => NULL, 'refs' => [ 'CreateIndexRequest$IsUnique' => '<p>Indicates whether objects with the same indexed attribute value can be added to the index.</p>', 'FacetAttributeDefinition$IsImmutable' => '<p>Whether the attribute is mutable or not.</p>', ], ], 'BooleanAttributeValue' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValue$BooleanValue' => '<p>A Boolean data value.</p>', ], ], 'CannotListParentOfRootException' => [ 'base' => '<p>Cannot list the parents of a <a>Directory</a> root.</p>', 'refs' => [], ], 'ConsistencyLevel' => [ 'base' => NULL, 'refs' => [ 'BatchReadRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', 'GetObjectInformationRequest$ConsistencyLevel' => '<p>The consistency level at which to retrieve the object information.</p>', 'ListAttachedIndicesRequest$ConsistencyLevel' => '<p>The consistency level to use for this operation.</p>', 'ListIndexRequest$ConsistencyLevel' => '<p>The consistency level to execute the request at.</p>', 'ListObjectAttributesRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', 'ListObjectChildrenRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', 'ListObjectParentsRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', 'ListObjectPoliciesRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', 'ListPolicyAttachmentsRequest$ConsistencyLevel' => '<p>Represents the manner and timing in which the successful write or update of an object is reflected in a subsequent read operation of that same object.</p>', ], ], 'CreateDirectoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDirectoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateFacetRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateFacetResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateSchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateSchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'Date' => [ 'base' => NULL, 'refs' => [ 'Directory$CreationDateTime' => '<p>The date and time when the directory was created.</p>', ], ], 'DatetimeAttributeValue' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValue$DatetimeValue' => '<p>A date and time value.</p>', ], ], 'DeleteDirectoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDirectoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFacetRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteFacetResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteSchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetachFromIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachFromIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetachObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'DetachPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'DetachPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'Directory' => [ 'base' => '<p>Directory structure that includes the directory name and directory ARN.</p>', 'refs' => [ 'DirectoryList$member' => NULL, 'GetDirectoryResponse$Directory' => '<p>Metadata about the directory.</p>', ], ], 'DirectoryAlreadyExistsException' => [ 'base' => '<p>Indicates that a <a>Directory</a> could not be created due to a naming conflict. Choose a different name and try again.</p>', 'refs' => [], ], 'DirectoryArn' => [ 'base' => NULL, 'refs' => [ 'CreateDirectoryResponse$DirectoryArn' => '<p>ARN associated with the <a>Directory</a>. For more information, see <a>arns</a>.</p>', 'Directory$DirectoryArn' => '<p>ARN associated with the directory. For more information, see <a>arns</a>.</p>', 'GetDirectoryRequest$DirectoryArn' => '<p>The ARN of the directory.</p>', ], ], 'DirectoryDeletedException' => [ 'base' => '<p>A directory that has been deleted has been attempted to be accessed. Note: The requested resource will eventually cease to exist.</p>', 'refs' => [], ], 'DirectoryList' => [ 'base' => NULL, 'refs' => [ 'ListDirectoriesResponse$Directories' => '<p>Lists all directories associated with your account in pagination fashion.</p>', ], ], 'DirectoryName' => [ 'base' => NULL, 'refs' => [ 'CreateDirectoryRequest$Name' => '<p>Name of the <a>Directory</a>. Should be unique per account, per region.</p>', 'CreateDirectoryResponse$Name' => '<p>Name of the <a>Directory</a>.</p>', 'Directory$Name' => '<p>The name of the directory.</p>', ], ], 'DirectoryNotDisabledException' => [ 'base' => '<p>An operation can only operate on a disabled directory.</p>', 'refs' => [], ], 'DirectoryNotEnabledException' => [ 'base' => '<p>An operation can only operate on a directory that is not enabled.</p>', 'refs' => [], ], 'DirectoryState' => [ 'base' => NULL, 'refs' => [ 'Directory$State' => '<p>The state of the directory. Can be either Enabled, Disabled, or Deleted.</p>', 'ListDirectoriesRequest$state' => '<p>The state of the directories in the list. Can be either Enabled, Disabled, or Deleted.</p>', ], ], 'DisableDirectoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisableDirectoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'EnableDirectoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'EnableDirectoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'ExceptionMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'BatchReadException$Message' => '<p>Exception message associated with the failure.</p>', 'BatchWriteException$Message' => NULL, 'CannotListParentOfRootException$Message' => NULL, 'DirectoryAlreadyExistsException$Message' => NULL, 'DirectoryDeletedException$Message' => NULL, 'DirectoryNotDisabledException$Message' => NULL, 'DirectoryNotEnabledException$Message' => NULL, 'FacetAlreadyExistsException$Message' => NULL, 'FacetInUseException$Message' => NULL, 'FacetNotFoundException$Message' => NULL, 'FacetValidationException$Message' => NULL, 'IndexedAttributeMissingException$Message' => NULL, 'InternalServiceException$Message' => NULL, 'InvalidArnException$Message' => NULL, 'InvalidAttachmentException$Message' => NULL, 'InvalidFacetUpdateException$Message' => NULL, 'InvalidNextTokenException$Message' => NULL, 'InvalidRuleException$Message' => NULL, 'InvalidSchemaDocException$Message' => NULL, 'InvalidTaggingRequestException$Message' => NULL, 'LimitExceededException$Message' => NULL, 'LinkNameAlreadyInUseException$Message' => NULL, 'NotIndexException$Message' => NULL, 'NotNodeException$Message' => NULL, 'NotPolicyException$Message' => NULL, 'ObjectAlreadyDetachedException$Message' => NULL, 'ObjectNotDetachedException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'RetryableConflictException$Message' => NULL, 'SchemaAlreadyExistsException$Message' => NULL, 'SchemaAlreadyPublishedException$Message' => NULL, 'StillContainsLinksException$Message' => NULL, 'UnsupportedIndexTypeException$Message' => NULL, 'ValidationException$Message' => NULL, ], ], 'Facet' => [ 'base' => '<p>A structure that contains Name, ARN, Attributes, <a>Rule</a>s, and ObjectTypes.</p>', 'refs' => [ 'GetFacetResponse$Facet' => '<p> <a>Facet</a> structure associated with the facet.</p>', ], ], 'FacetAlreadyExistsException' => [ 'base' => '<p>A facet with the same name already exists.</p>', 'refs' => [], ], 'FacetAttribute' => [ 'base' => '<p>Attribute associated with the <a>Facet</a>.</p>', 'refs' => [ 'FacetAttributeList$member' => NULL, 'FacetAttributeUpdate$Attribute' => '<p>The attribute to update.</p>', ], ], 'FacetAttributeDefinition' => [ 'base' => '<p>A facet attribute definition. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#attributereferences">Attribute References</a> for more information.</p>', 'refs' => [ 'FacetAttribute$AttributeDefinition' => '<p>A facet attribute consists of either a definition or a reference. This structure contains the attribute definition. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#attributereferences">Attribute References</a> for more information.</p>', ], ], 'FacetAttributeList' => [ 'base' => NULL, 'refs' => [ 'CreateFacetRequest$Attributes' => '<p>Attributes associated with the <a>Facet</a>.e</p>', 'ListFacetAttributesResponse$Attributes' => '<p>The attributes attached to the facet.</p>', ], ], 'FacetAttributeReference' => [ 'base' => '<p>Facet attribute reference that specifies the attribute definition which contains attribute facet name and attribute name.</p>', 'refs' => [ 'FacetAttribute$AttributeReference' => '<p>Attribute reference associated with the attribute. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#attributereferences">Attribute References</a> for more information.</p>', ], ], 'FacetAttributeType' => [ 'base' => NULL, 'refs' => [ 'FacetAttributeDefinition$Type' => '<p>The type of the attribute.</p>', ], ], 'FacetAttributeUpdate' => [ 'base' => '<p>A structure that contains information used to update an attribute.</p>', 'refs' => [ 'FacetAttributeUpdateList$member' => NULL, ], ], 'FacetAttributeUpdateList' => [ 'base' => NULL, 'refs' => [ 'UpdateFacetRequest$AttributeUpdates' => '<p>List of attributes that need to be updated in a given schema <a>Facet</a>. Each attribute is followed by AttributeAction, which specifies the type of update operation to perform. </p>', ], ], 'FacetInUseException' => [ 'base' => '<p>Occurs when deleting a facet that contains an attribute which is a target to an attribute reference in a different facet.</p>', 'refs' => [], ], 'FacetName' => [ 'base' => NULL, 'refs' => [ 'AttributeKey$FacetName' => '<p>The name of the facet the attribute exists within.</p>', 'CreateFacetRequest$Name' => '<p>Name of the <a>Facet</a>, which is unique for a given schema.</p>', 'DeleteFacetRequest$Name' => '<p>The name of the facet to delete.</p>', 'Facet$Name' => '<p>The name of the <a>Facet</a>.</p>', 'FacetAttributeReference$TargetFacetName' => '<p>Target facet name associated with the facet reference. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_advanced.html#attributereferences">Attribute References</a> for more information.</p>', 'FacetNameList$member' => NULL, 'GetFacetRequest$Name' => '<p>The name of the facet to retrieve.</p>', 'ListFacetAttributesRequest$Name' => '<p>The name of the facet whose attributes will be retrieved.</p>', 'SchemaFacet$FacetName' => '<p>The name of the facet.</p>', 'UpdateFacetRequest$Name' => '<p> </p>', ], ], 'FacetNameList' => [ 'base' => NULL, 'refs' => [ 'ListFacetNamesResponse$FacetNames' => '<p>The names of facets that exist within the schema.</p>', ], ], 'FacetNotFoundException' => [ 'base' => '<p>The specified <a>Facet</a> could not be found.</p>', 'refs' => [], ], 'FacetValidationException' => [ 'base' => '<p>The <a>Facet</a> you provided was not well formed or could not be validated with the schema.</p>', 'refs' => [], ], 'GetDirectoryRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDirectoryResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetFacetRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetFacetResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetObjectInformationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetObjectInformationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetSchemaAsJsonRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetSchemaAsJsonResponse' => [ 'base' => NULL, 'refs' => [], ], 'IndexAttachment' => [ 'base' => '<p>Represents an index and an attached object.</p>', 'refs' => [ 'IndexAttachmentList$member' => NULL, ], ], 'IndexAttachmentList' => [ 'base' => NULL, 'refs' => [ 'ListAttachedIndicesResponse$IndexAttachments' => '<p>The indices attached to the specified object.</p>', 'ListIndexResponse$IndexAttachments' => '<p>The objects and indexed values attached to the index.</p>', ], ], 'IndexedAttributeMissingException' => [ 'base' => '<p>An object has been attempted to be attached to an object that does not have the appropriate attribute value.</p>', 'refs' => [], ], 'InternalServiceException' => [ 'base' => '<p>Indicates a problem that must be resolved by Amazon Web Services. This might be a transient error in which case you can retry your request until it succeeds. Otherwise, go to the <a href="http://status.aws.amazon.com/">AWS Service Health Dashboard</a> site to see if there are any operational issues with the service.</p>', 'refs' => [], ], 'InvalidArnException' => [ 'base' => '<p>Indicates that the provided ARN value is not valid.</p>', 'refs' => [], ], 'InvalidAttachmentException' => [ 'base' => '<p>Indicates that an attempt to attach an object with the same link name or to apply a schema with same name has occurred. Rename the link or the schema and then try again.</p>', 'refs' => [], ], 'InvalidFacetUpdateException' => [ 'base' => '<p>An attempt to modify a <a>Facet</a> resulted in an invalid schema exception.</p>', 'refs' => [], ], 'InvalidNextTokenException' => [ 'base' => '<p>Indicates that the NextToken value is not valid.</p>', 'refs' => [], ], 'InvalidRuleException' => [ 'base' => '<p>Occurs when any of the rule parameter keys or values are invalid.</p>', 'refs' => [], ], 'InvalidSchemaDocException' => [ 'base' => '<p>Indicates that the provided SchemaDoc value is not valid.</p>', 'refs' => [], ], 'InvalidTaggingRequestException' => [ 'base' => '<p>Can occur for multiple reasons such as when you tag a resource that doesn’t exist or if you specify a higher number of tags for a resource than the allowed limit. Allowed limit is 50 tags per resource.</p>', 'refs' => [], ], 'LimitExceededException' => [ 'base' => '<p>Indicates limits are exceeded. See <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/limits.html">Limits</a> for more information.</p>', 'refs' => [], ], 'LinkName' => [ 'base' => NULL, 'refs' => [ 'AttachObjectRequest$LinkName' => '<p>Link name with which the child object is attached to the parent.</p>', 'BatchAttachObject$LinkName' => '<p>The name of the link.</p>', 'BatchCreateObject$LinkName' => '<p>The name of the link.</p>', 'BatchDetachObject$LinkName' => '<p>The name of the link.</p>', 'CreateIndexRequest$LinkName' => '<p>The name of the link between the parent object and the index object.</p>', 'CreateObjectRequest$LinkName' => '<p>The name of link that is used to attach this object to a parent.</p>', 'DetachObjectRequest$LinkName' => '<p>Link name associated with the object that needs to be detached.</p>', 'LinkNameToObjectIdentifierMap$key' => NULL, 'ObjectIdentifierToLinkNameMap$value' => NULL, ], ], 'LinkNameAlreadyInUseException' => [ 'base' => '<p>Indicates that a link could not be created due to a naming conflict. Choose a different name and then try again.</p>', 'refs' => [], ], 'LinkNameToObjectIdentifierMap' => [ 'base' => NULL, 'refs' => [ 'BatchListObjectChildrenResponse$Children' => '<p>Children structure, which is a map with key as the LinkName and ObjectIdentifier as the value.</p>', 'ListObjectChildrenResponse$Children' => '<p>Children structure, which is a map with key as the LinkName and ObjectIdentifier as the value.</p>', ], ], 'ListAppliedSchemaArnsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAppliedSchemaArnsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListAttachedIndicesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListAttachedIndicesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListDevelopmentSchemaArnsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDevelopmentSchemaArnsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListDirectoriesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDirectoriesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListFacetAttributesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListFacetAttributesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListFacetNamesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListFacetNamesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListIndexRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListIndexResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectAttributesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectAttributesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectChildrenRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectChildrenResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectParentsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectParentsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectPoliciesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListObjectPoliciesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListPolicyAttachmentsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListPolicyAttachmentsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListPublishedSchemaArnsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListPublishedSchemaArnsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'LookupPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'LookupPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'BatchListObjectAttributes$NextToken' => '<p>Token used for pagination.</p>', 'BatchListObjectAttributesResponse$NextToken' => '<p>Token used for pagination.</p>', 'BatchListObjectChildren$NextToken' => '<p>Token used for pagination.</p>', 'BatchListObjectChildrenResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListAppliedSchemaArnsRequest$NextToken' => '<p>The pagination token.</p>', 'ListAppliedSchemaArnsResponse$NextToken' => '<p>The pagination token.</p>', 'ListAttachedIndicesRequest$NextToken' => '<p>The pagination token.</p>', 'ListAttachedIndicesResponse$NextToken' => '<p>The pagination token.</p>', 'ListDevelopmentSchemaArnsRequest$NextToken' => '<p>The pagination token.</p>', 'ListDevelopmentSchemaArnsResponse$NextToken' => '<p>The pagination token.</p>', 'ListDirectoriesRequest$NextToken' => '<p>The pagination token.</p>', 'ListDirectoriesResponse$NextToken' => '<p>The pagination token.</p>', 'ListFacetAttributesRequest$NextToken' => '<p>The pagination token.</p>', 'ListFacetAttributesResponse$NextToken' => '<p>The pagination token.</p>', 'ListFacetNamesRequest$NextToken' => '<p>The pagination token.</p>', 'ListFacetNamesResponse$NextToken' => '<p>The pagination token.</p>', 'ListIndexRequest$NextToken' => '<p>The pagination token.</p>', 'ListIndexResponse$NextToken' => '<p>The pagination token.</p>', 'ListObjectAttributesRequest$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectAttributesResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectChildrenRequest$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectChildrenResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectParentsRequest$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectParentsResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectPoliciesRequest$NextToken' => '<p>Token used for pagination.</p>', 'ListObjectPoliciesResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListPolicyAttachmentsRequest$NextToken' => '<p>Token used for pagination.</p>', 'ListPolicyAttachmentsResponse$NextToken' => '<p>Token used for pagination.</p>', 'ListPublishedSchemaArnsRequest$NextToken' => '<p>The pagination token.</p>', 'ListPublishedSchemaArnsResponse$NextToken' => '<p>The pagination token.</p>', 'ListTagsForResourceRequest$NextToken' => '<p>Next token used for pagination. This is for future use. Currently pagination is not supported for tagging.</p>', 'ListTagsForResourceResponse$NextToken' => '<p>The token to use to retrieve the next page of results. This value is null when there are no more results to return.</p>', 'LookupPolicyRequest$NextToken' => '<p>The token to request the next page of results.</p>', 'LookupPolicyResponse$NextToken' => '<p>Token used for pagination.</p>', ], ], 'NotIndexException' => [ 'base' => '<p>Indicates the requested operation can only operate on index objects.</p>', 'refs' => [], ], 'NotNodeException' => [ 'base' => '<p>Occurs when any invalid operations are performed on an object which is not a node, such as calling ListObjectChildren for a leaf node object.</p>', 'refs' => [], ], 'NotPolicyException' => [ 'base' => '<p>Indicates the requested operation can only operate on policy objects.</p>', 'refs' => [], ], 'NumberAttributeValue' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValue$NumberValue' => '<p>A number data value.</p>', ], ], 'NumberResults' => [ 'base' => NULL, 'refs' => [ 'BatchListObjectAttributes$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'BatchListObjectChildren$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListAppliedSchemaArnsRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'ListAttachedIndicesRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'ListDevelopmentSchemaArnsRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'ListDirectoriesRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'ListFacetAttributesRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'ListFacetNamesRequest$MaxResults' => '<p>The maximum number of results to retrieve</p>', 'ListIndexRequest$MaxResults' => '<p>The maximum number of results to retrieve from the index.</p>', 'ListObjectAttributesRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListObjectChildrenRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListObjectParentsRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListObjectPoliciesRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListPolicyAttachmentsRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', 'ListPublishedSchemaArnsRequest$MaxResults' => '<p>The maximum number of results to retrieve.</p>', 'LookupPolicyRequest$MaxResults' => '<p>Maximum number of items to be retrieved in a single call. This is an approximate number.</p>', ], ], 'ObjectAlreadyDetachedException' => [ 'base' => '<p>Indicates the object is not attached to the index.</p>', 'refs' => [], ], 'ObjectAttributeAction' => [ 'base' => '<p>The action to take on the object attribute.</p>', 'refs' => [ 'ObjectAttributeUpdate$ObjectAttributeAction' => '<p>The action to perform as part of the attribute update.</p>', ], ], 'ObjectAttributeRange' => [ 'base' => '<p>A range of attributes.</p>', 'refs' => [ 'ObjectAttributeRangeList$member' => NULL, ], ], 'ObjectAttributeRangeList' => [ 'base' => NULL, 'refs' => [ 'ListIndexRequest$RangesOnIndexedValues' => '<p>Specifies the ranges of indexed values that you want to query.</p>', ], ], 'ObjectAttributeUpdate' => [ 'base' => '<p>Structure that contains attribute update information.</p>', 'refs' => [ 'ObjectAttributeUpdateList$member' => NULL, ], ], 'ObjectAttributeUpdateList' => [ 'base' => NULL, 'refs' => [ 'BatchUpdateObjectAttributes$AttributeUpdates' => '<p>Attributes update structure.</p>', 'UpdateObjectAttributesRequest$AttributeUpdates' => '<p>Attributes update structure.</p>', ], ], 'ObjectIdentifier' => [ 'base' => NULL, 'refs' => [ 'AttachObjectResponse$AttachedObjectIdentifier' => '<p>Attached ObjectIdentifier, which is the child ObjectIdentifier.</p>', 'AttachToIndexResponse$AttachedObjectIdentifier' => '<p>The ObjectIdentifier of the object that was attached to the index.</p>', 'BatchAttachObjectResponse$attachedObjectIdentifier' => '<p>The ObjectIdentifier of the object that has been attached.</p>', 'BatchCreateObjectResponse$ObjectIdentifier' => '<p>ID associated with the object.</p>', 'BatchDetachObjectResponse$detachedObjectIdentifier' => '<p>The ObjectIdentifier of the detached object.</p>', 'BatchUpdateObjectAttributesResponse$ObjectIdentifier' => '<p>ID associated with the object.</p>', 'CreateDirectoryResponse$ObjectIdentifier' => '<p>The root object node of the created directory.</p>', 'CreateIndexResponse$ObjectIdentifier' => '<p>The ObjectIdentifier of the index created by this operation.</p>', 'CreateObjectResponse$ObjectIdentifier' => '<p>Identifier associated with the object.</p>', 'DetachFromIndexResponse$DetachedObjectIdentifier' => '<p>The ObjectIdentifier of the object that was detached from the index.</p>', 'DetachObjectResponse$DetachedObjectIdentifier' => '<p>The ObjectIdentifier that was detached from the object.</p>', 'GetObjectInformationResponse$ObjectIdentifier' => '<p>The ObjectIdentifier of the specified object.</p>', 'IndexAttachment$ObjectIdentifier' => '<p>The ObjectIdentifier of the object attached to the index.</p>', 'LinkNameToObjectIdentifierMap$value' => NULL, 'ObjectIdentifierList$member' => NULL, 'ObjectIdentifierToLinkNameMap$key' => NULL, 'PolicyAttachment$PolicyId' => '<p>The ID of PolicyAttachment.</p>', 'PolicyAttachment$ObjectIdentifier' => '<p>The ObjectIdentifier associated with PolicyAttachment.</p>', 'UpdateObjectAttributesResponse$ObjectIdentifier' => '<p>ObjectIdentifier of the updated object.</p>', ], ], 'ObjectIdentifierList' => [ 'base' => NULL, 'refs' => [ 'ListObjectPoliciesResponse$AttachedPolicyIds' => '<p>List of policy ObjectIdentifiers, that are attached to the object.</p>', 'ListPolicyAttachmentsResponse$ObjectIdentifiers' => '<p>List of ObjectIdentifiers to which the policy is attached.</p>', ], ], 'ObjectIdentifierToLinkNameMap' => [ 'base' => NULL, 'refs' => [ 'ListObjectParentsResponse$Parents' => '<p>Parent structure, which is a map with key as the ObjectIdentifier and LinkName as the value.</p>', ], ], 'ObjectNotDetachedException' => [ 'base' => '<p>Indicates the requested operation cannot be completed because the object has not been detached from the tree.</p>', 'refs' => [], ], 'ObjectReference' => [ 'base' => '<p>Reference that identifies an object.</p>', 'refs' => [ 'AddFacetToObjectRequest$ObjectReference' => '<p>A reference to the object you are adding the specified facet to.</p>', 'AttachObjectRequest$ParentReference' => '<p>Parent object reference.</p>', 'AttachObjectRequest$ChildReference' => '<p>Child object reference to be attached to the object.</p>', 'AttachPolicyRequest$PolicyReference' => '<p>Reference associated with the policy object.</p>', 'AttachPolicyRequest$ObjectReference' => '<p>Reference that identifies the object to which the policy will be attached.</p>', 'AttachToIndexRequest$IndexReference' => '<p>A reference to the index that you are attaching the object to.</p>', 'AttachToIndexRequest$TargetReference' => '<p>A reference to the object that you are attaching to the index.</p>', 'BatchAddFacetToObject$ObjectReference' => '<p>A reference to the object being mutated.</p>', 'BatchAttachObject$ParentReference' => '<p>Parent object reference.</p>', 'BatchAttachObject$ChildReference' => '<p>Child object reference to be attached to the object.</p>', 'BatchCreateObject$ParentReference' => '<p>If specified, the parent reference to which this object will be attached.</p>', 'BatchDeleteObject$ObjectReference' => '<p>Reference that identifies the object.</p>', 'BatchDetachObject$ParentReference' => '<p>Parent reference from which the object with the specified link name is detached.</p>', 'BatchListObjectAttributes$ObjectReference' => '<p>Reference of the object whose attributes need to be listed.</p>', 'BatchListObjectChildren$ObjectReference' => '<p>Reference of the object for which child objects are being listed.</p>', 'BatchRemoveFacetFromObject$ObjectReference' => '<p>A reference to the object whose facet will be removed.</p>', 'BatchUpdateObjectAttributes$ObjectReference' => '<p>Reference that identifies the object.</p>', 'CreateIndexRequest$ParentReference' => '<p>A reference to the parent object that contains the index object.</p>', 'CreateObjectRequest$ParentReference' => '<p>If specified, the parent reference to which this object will be attached.</p>', 'DeleteObjectRequest$ObjectReference' => '<p>Reference that identifies the object.</p>', 'DetachFromIndexRequest$IndexReference' => '<p>A reference to the index object.</p>', 'DetachFromIndexRequest$TargetReference' => '<p>A reference to the object being detached from the index.</p>', 'DetachObjectRequest$ParentReference' => '<p>Parent reference from which the object with the specified link name is detached.</p>', 'DetachPolicyRequest$PolicyReference' => '<p>Reference that identifies the policy object.</p>', 'DetachPolicyRequest$ObjectReference' => '<p>Reference that identifies the object whose policy object will be detached.</p>', 'GetObjectInformationRequest$ObjectReference' => '<p>A reference to the object.</p>', 'ListAttachedIndicesRequest$TargetReference' => '<p>A reference to the object to that has indices attached.</p>', 'ListIndexRequest$IndexReference' => '<p>The reference to the index to list.</p>', 'ListObjectAttributesRequest$ObjectReference' => '<p>Reference that identifies the object whose attributes will be listed.</p>', 'ListObjectChildrenRequest$ObjectReference' => '<p>Reference that identifies the object for which child objects are being listed.</p>', 'ListObjectParentsRequest$ObjectReference' => '<p>Reference that identifies the object for which parent objects are being listed.</p>', 'ListObjectPoliciesRequest$ObjectReference' => '<p>Reference that identifies the object for which policies will be listed.</p>', 'ListPolicyAttachmentsRequest$PolicyReference' => '<p>Reference that identifies the policy object.</p>', 'LookupPolicyRequest$ObjectReference' => '<p>Reference that identifies the object whose policies will be looked up.</p>', 'RemoveFacetFromObjectRequest$ObjectReference' => '<p>A reference to the object to remove the facet from.</p>', 'UpdateObjectAttributesRequest$ObjectReference' => '<p>Reference that identifies the object.</p>', ], ], 'ObjectType' => [ 'base' => NULL, 'refs' => [ 'CreateFacetRequest$ObjectType' => '<p>Specifies whether a given object created from this facet is of type Node, Leaf Node, Policy or Index.</p> <ul> <li> <p>Node: Can have multiple children but one parent.</p> </li> </ul> <ul> <li> <p>Leaf Node: Cannot have children but can have multiple parents.</p> </li> </ul> <ul> <li> <p>Policy: Allows you to store a policy document and policy type. For more information, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/cd_key_concepts.html#policies">Policies</a>.</p> </li> </ul> <ul> <li> <p>Index: Can be created with the Index API.</p> </li> </ul>', 'Facet$ObjectType' => '<p>Object type associated with the facet. See <a>CreateFacetRequest$ObjectType</a> for more details.</p>', 'UpdateFacetRequest$ObjectType' => '<p>Object type associated with the facet. See <a>CreateFacetRequest$ObjectType</a> for more details.</p>', ], ], 'PathString' => [ 'base' => NULL, 'refs' => [ 'PolicyToPath$Path' => '<p>The path that is referenced from the root.</p>', ], ], 'PolicyAttachment' => [ 'base' => '<p>Contains the PolicyType, PolicyId, and the ObjectIdentifier to which it is attached.</p>', 'refs' => [ 'PolicyAttachmentList$member' => NULL, ], ], 'PolicyAttachmentList' => [ 'base' => NULL, 'refs' => [ 'PolicyToPath$Policies' => '<p>List of policy objects.</p>', ], ], 'PolicyToPath' => [ 'base' => '<p>Used when a regular object exists in a <a>Directory</a> and you want to find all of the policies associated with that object and the parent to that object.</p>', 'refs' => [ 'PolicyToPathList$member' => NULL, ], ], 'PolicyToPathList' => [ 'base' => NULL, 'refs' => [ 'LookupPolicyResponse$PolicyToPathList' => '<p>Provides list of path to policies. Policies contain PolicyId, ObjectIdentifier, and PolicyType.</p>', ], ], 'PolicyType' => [ 'base' => NULL, 'refs' => [ 'PolicyAttachment$PolicyType' => '<p>The type of policy that can be associated with PolicyAttachment.</p>', ], ], 'PublishSchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'PublishSchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'PutSchemaFromJsonRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutSchemaFromJsonResponse' => [ 'base' => NULL, 'refs' => [], ], 'RangeMode' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValueRange$StartMode' => '<p>Inclusive or exclusive range start.</p>', 'TypedAttributeValueRange$EndMode' => '<p>Inclusive or exclusive range end.</p>', ], ], 'RemoveFacetFromObjectRequest' => [ 'base' => NULL, 'refs' => [], ], 'RemoveFacetFromObjectResponse' => [ 'base' => NULL, 'refs' => [], ], 'RequiredAttributeBehavior' => [ 'base' => NULL, 'refs' => [ 'FacetAttribute$RequiredBehavior' => '<p>The required behavior of the FacetAttribute.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource could not be found.</p>', 'refs' => [], ], 'RetryableConflictException' => [ 'base' => '<p>Occurs when a conflict with a previous successful write is detected. For example, if a write operation occurs on an object and then an attempt is made to read the object using “SERIALIZABLE” consistency, this exception may result. This generally occurs when the previous write did not have time to propagate to the host serving the current request. A retry (with appropriate backoff logic) is the recommended response to this exception.</p>', 'refs' => [], ], 'Rule' => [ 'base' => '<p>Contains an ARN and parameters associated with the rule.</p>', 'refs' => [ 'RuleMap$value' => NULL, ], ], 'RuleKey' => [ 'base' => NULL, 'refs' => [ 'RuleMap$key' => NULL, ], ], 'RuleMap' => [ 'base' => NULL, 'refs' => [ 'FacetAttributeDefinition$Rules' => '<p>Validation rules attached to the attribute definition.</p>', ], ], 'RuleParameterKey' => [ 'base' => NULL, 'refs' => [ 'RuleParameterMap$key' => NULL, ], ], 'RuleParameterMap' => [ 'base' => NULL, 'refs' => [ 'Rule$Parameters' => '<p>Min and max parameters associated with the rule.</p>', ], ], 'RuleParameterValue' => [ 'base' => NULL, 'refs' => [ 'RuleParameterMap$value' => NULL, ], ], 'RuleType' => [ 'base' => NULL, 'refs' => [ 'Rule$Type' => '<p>The type of attribute validation rule.</p>', ], ], 'SchemaAlreadyExistsException' => [ 'base' => '<p>Indicates that a schema could not be created due to a naming conflict. Please select a different name and then try again.</p>', 'refs' => [], ], 'SchemaAlreadyPublishedException' => [ 'base' => '<p>Indicates a schema is already published.</p>', 'refs' => [], ], 'SchemaFacet' => [ 'base' => '<p>A facet.</p>', 'refs' => [ 'AddFacetToObjectRequest$SchemaFacet' => '<p>Identifiers for the facet that you are adding to the object.</p>', 'BatchAddFacetToObject$SchemaFacet' => '<p>Represents the facet being added to the object.</p>', 'BatchRemoveFacetFromObject$SchemaFacet' => '<p>The facet to remove from the object.</p>', 'RemoveFacetFromObjectRequest$SchemaFacet' => '<p>The facet to remove.</p>', 'SchemaFacetList$member' => NULL, ], ], 'SchemaFacetList' => [ 'base' => NULL, 'refs' => [ 'BatchCreateObject$SchemaFacet' => '<p>List of FacetArns that will be associated with the object. For more information, see <a>arns</a>.</p>', 'CreateObjectRequest$SchemaFacets' => '<p>List of facet ARNs to be associated with the object. For more information, see <a>arns</a>.</p>', 'GetObjectInformationResponse$SchemaFacets' => '<p>The facets attached to the specified object.</p>', ], ], 'SchemaJsonDocument' => [ 'base' => NULL, 'refs' => [ 'GetSchemaAsJsonResponse$Document' => '<p>The JSON representation of the schema document.</p>', 'PutSchemaFromJsonRequest$Document' => '<p>The replacement JSON schema.</p>', ], ], 'SchemaName' => [ 'base' => NULL, 'refs' => [ 'CreateSchemaRequest$Name' => '<p>Name associated with the schema. This is unique to each account and in each region.</p>', 'GetSchemaAsJsonResponse$Name' => '<p>The name of the retrieved schema.</p>', 'PublishSchemaRequest$Name' => '<p>New name under which the schema will be published. If this is not provided, the development schema is considered.</p>', 'UpdateSchemaRequest$Name' => '<p>Name of the schema.</p>', ], ], 'SelectorObjectReference' => [ 'base' => NULL, 'refs' => [ 'ObjectReference$Selector' => '<p>Allows you to specify an object. You can identify an object in one of the following ways:</p> <ul> <li> <p> <i>$ObjectIdentifier</i> - Identifies the object by ObjectIdentifier</p> </li> <li> <p> <i>/some/path</i> - Identifies the object based on path</p> </li> <li> <p> <i>#SomeBatchReference</i> - Identifies the object in a batch call</p> </li> </ul>', ], ], 'StillContainsLinksException' => [ 'base' => '<p>The object could not be deleted because links still exist. Remove the links and then try the operation again.</p>', 'refs' => [], ], 'StringAttributeValue' => [ 'base' => NULL, 'refs' => [ 'TypedAttributeValue$StringValue' => '<p>A string data value.</p>', ], ], 'Tag' => [ 'base' => '<p>Tag structure which contains tag key and value.</p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$Key' => '<p>Key associated with the tag.</p>', 'TagKeyList$member' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>Keys of the tag that needs to be removed from the resource.</p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceResponse$Tags' => '<p>List of tag key value pairs associated with the response.</p>', 'TagResourceRequest$Tags' => '<p>List of tag key value pairs.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>Value associated with the tag.</p>', ], ], 'TagsNumberResults' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceRequest$MaxResults' => '<p>The MaxResults parameter sets the maximum number of results returned in a single page. This is for future use and is not supported currently.</p>', ], ], 'TypedAttributeValue' => [ 'base' => '<p>Represents the data for a typed attribute. You can set one, and only one, of the elements. Each attribute in an item is a name-value pair. Attributes have a single value.</p>', 'refs' => [ 'AttributeKeyAndValue$Value' => '<p>The value of the attribute.</p>', 'FacetAttributeDefinition$DefaultValue' => '<p>The default value of the attribute (if configured).</p>', 'ObjectAttributeAction$ObjectAttributeUpdateValue' => '<p>The value that you want to update to.</p>', 'TypedAttributeValueRange$StartValue' => '<p>The value to start the range at.</p>', 'TypedAttributeValueRange$EndValue' => '<p>The attribute value to terminate the range at.</p>', ], ], 'TypedAttributeValueRange' => [ 'base' => '<p>A range of attribute values.</p>', 'refs' => [ 'ObjectAttributeRange$Range' => '<p>The range of attribute values being selected.</p>', ], ], 'UnsupportedIndexTypeException' => [ 'base' => '<p>Indicates the requested index type is not supported.</p>', 'refs' => [], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateActionType' => [ 'base' => NULL, 'refs' => [ 'FacetAttributeUpdate$Action' => '<p>The action to perform when updating the attribute.</p>', 'ObjectAttributeAction$ObjectAttributeActionType' => '<p>Type can be either Update or Delete.</p>', ], ], 'UpdateFacetRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateFacetResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateObjectAttributesRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateObjectAttributesResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSchemaRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateSchemaResponse' => [ 'base' => NULL, 'refs' => [], ], 'ValidationException' => [ 'base' => '<p>Indicates your request is malformed in some manner. See the exception message.</p>', 'refs' => [], ], 'Version' => [ 'base' => NULL, 'refs' => [ 'PublishSchemaRequest$Version' => '<p>Version under which the schema will be published.</p>', ], ], ],];
